%------------------------------------------------
% quidistante Interpolation der Funktion
% f(t) = 1(25*t^2+1) auf dem Interval [-1;1]
%------------------------------------------------
% Sttzstellen t(i)
t = -1:1/5:1;
% Grad des Interpolationspolynoms
n = length(t)-1;
s='1./(25.*t.^2+1)';
f=inline(s);
hold on;
% Messwerte plotten
plot(t,f(t),'.r','MarkerSize',15);
% Funktion plotten
fplot(s,[-1 1],'-b');
p=polyfit(t,f(t),n);
tin =-1:0.01:1;
y=polyval(p,tin);
% Interpolationspolynom plotten
plot(tin,y,'-k');