%------------------------------------------------
% Tschebyscheff-Sttzstellen der Funktion
% f(t) = 1(25*t^2+1) auf dem Interval [-1;1]
%------------------------------------------------
% Sttzstellen t(i)
n = 10;
for j = 0:n
t(j+1) = cos(j*pi/n);
end;
s='1./(25.*t.^2+1)';
f=inline(s);
hold on;
% Messwerte plotten
plot(t,f(t),'.r','MarkerSize',15);
% Funktion plotten
fplot(s,[-1 1],'-b');
p=polyfit(t,f(t),n);
tin =-1:0.01:1;
y=polyval(p,tin);
% Interpolationspolynom plotten
plot(tin,y,'-k');