function z = linapp(N,M,TO,TR,TL,TU,x,y)
%Randtemperatur
%TO = 200;
%TL = 150;
%TR = 100;
%TU = 0;
U = zeros((N+2));
for j = 2:(N+1)
    U(N+2,j)=TR;
end
for j = 2:(N+1)
    U(j,1)=TU;
end
for j = 2:(N+1)
    U(j,N+2)=TO;
end
for j = 2:(N+1)
    U(1,j)=TL;
end
%Matrix mit Randwerten und mit Lsung
for j=2:N+1
    for i=2:N+1
        U(i,j)=M(i-1,j-1);
    end
end

%Indizes bestimmen
h = 1/(N+1);
i = ceil(x/h);
j = fix(y/h);
k = i+1;
l=j+1;

%Randpunkte auswerten
if l > N+2
   l = N+2;
end
if k > N+2
   k = N+2;
end
if (l == N+2) || (l == 1)  || (k == 1)  || (k == N+2)
   z = U(k,l);
else
   if (y <= x+(j-i+1)*h)
      z = (1/h)*(U(k-1,l)-U(k,l))*i*h + (1/h)*(U(k,l+1)-U(k,l))*j*h ...
          + U(k,l)-(1/h)*(U(k-1,l)-U(k,l))*x-(1/h)*(U(k,l+1)-U(k,l))*y;
   else
      z = -(1/h)*(U(k,l+1)-U(k-1,l+1))*(i-1)*h + (1/h)*(U(k-1,l)-U(k-1,l+1))*(j+1)*h ...
           + U(k-1,l+1)+(1/h)*(U(k,l+1)-U(k-1,l+1))*x-(1/h)*(U(k-1,l)-U(k-1,l+1))*y; 
   end
end   
end