function [x,resnorm] = LSQCF(data,fName,x0,ls,tol)
tic;
in = load(data);
[m q] = size(in);
%--Data points
t = [];
for k = 1:(q-1)
    t(:,k) = in(:,k);
end
ydata = in(:,q);
options = optim-set('Display','final','LargeScale',ls,'TolFun',tol,'MaxFunEvals',20000,'MaxIter',5000);
format long;
[x,resnorm]=lsqcurvefit(fName,x0,t',ydata',[],[],options)
time = toc