%--------------------------------------------------------------------------
% Zeitvergleich -> Sparse vs. Full
%--------------------------------------------------------------------------
 
n = 4000; e = ones(n,1); d = 2*e;
%Sparse- und Full-Matrix generieren
S = spdiags([-e,d,-e],[-1,0,1],n,n);
tic;
disp('Transform Sparse -> Full')
A = full(S);
trans_sp_full = toc
% Rechte Seite des Gleichungssystems generieren
disp('Gen -> b')
b = ones(n,1); s = sparse(b);
b_generated = toc
tic;
%Sparsesystem mit dem Backslash-Operator lsen
disp('Start -> Sparse')
us = S\s;
Sparse_time = toc
tic;
%Fullsystem mit dem Backslash-Operator lsen
disp('Start -> Full')
uf = A\b;
Full_time = toc
