% Linear Curve Fitting of the transformed problem
%------------------------------------------------------------------
data = load('X3crNuCu.m');
mdata = [log(data(:,1)) log(data(:,2))];
[x,bfc] = LA(mdata,0,{'1','t'})
x(1) = exp(x(1));
[Q,P] = size(mdata);
s = strcat(num2str(x(1)),'.*t.^',num2str(x(2)));
f = inline(s)
t = data(:,1);
fdata = f(t); 
hold on
plot(data(:,1),data(:,2),'-rs','LineWidth',1,'MarkerSize',2);
plot(data(:,1),fdata,'-k','LineWidth',1,'MarkerSize',2);
%--Compare with Non Linear Curve Fitting
NLA('X3crNuCu.m','fbspNLA','dfbspNLA',[900;0.5],0,1);